C***********************************************************************
C***********************************************************************
      SUBROUTINE CSTRING(string,istart,iend)
C-----------------------------------------------------------------------
C purpose: This subroutine finds the first nonblank space (istart) in a 
C            arbitrary character string and the first subsequent blank
C            space (iend).  The range of string between istart and iend
C            can then be separated from the rest of string by specifying
C            string(istart:iend)
C
C
C inputs:  string - a character string of arbitrary length 
C
C outputs: istart - first nonblank character in string
C          iend   - first blank character in string after istart
C
C history:  Written by Christopher E. Naimie
C           Dartmouth College
C           12 JUNE 1992
C
C Nov '98 removed fixed length condition.  CGH
C         Ugly but I think it works
C-----------------------------------------------------------------------
C
C ARGUMENTS
      character*(*) string
      integer istart, iend

      integer i, length
C
C START OF EXECUTABLE CODE
C
      length = len(string)
C find beginning of string
      do 10 i=1,length
         istart=i
	 if(string(i:i).NE.' ')go to 11
 10   continue
C
C find end of string
 11   continue 
      if (istart.eq.length) then 
	 iend = length
      else 
         do 20 i=istart,length
            iend=i
	    if(string(i:i).EQ.' ')go to 21
 20      continue
 21      continue
	 if(i.eq.length) then 
	    iend = length
	 else
	    iend = i - 1
	 endif
      endif
C
C END OF ROUTINE
      return
      end
C***********************************************************************
C***********************************************************************
      SUBROUTINE SUBTITLE (NFIL)
C-----------------------------------------------------------------------
C   Description: This user supplied subroutine is used to record
C                information on all the user provided subroutines
C                if so desired.  This routine can be left empty and
C                the execution of the QUODDY model is not affected.
C                If so desired, the provided information will be
C                written in the echo file (".echo") with the assigned
C                logical name NFIL.
C     Variables: [Argument list]
C                NFIL -- A pre-assigned logical file name of the echo
C                        file (".echo")
C                [Local character variables]
C                COMENT -- Comment on each user subroutine
C                FILSUB -- File contains all the user supplied routines
C      Accuracy: I*2, R*4 (single precision)
C         Input: NFIL
C        Output: Information on the user supplied subroutines is written
C                to the echo file (".echo")
C================Beginning-of-user-specified-instructions===============
C
      integer nfil
C End of routine
C
      RETURN
      END
